profile
viewpoint

ytorg/Yotter 273

Youtube and Twitter with privacy.

pluja/kycnot 30

Don't get KYC'ed

pluja/CloakMe 3

User-friendly Fawkes algorithm.

pluja/youtube_search-fork 3

Tool for searching for youtube videos to avoid using their heavily rate-limited API

pluja/personal-website 2

Personal website powered by Hugo

pluja/Flasktatic 1

Easy flask site to static site.

pluja/rokokeys 1

Backup your crypto wallet mnemonic seeds in a safe way.

pluja/Mnemonic-Seed-Bakcup 0

Free templates for mnemonic seeds backup

pluja/pluja 0

About me repo :D

delete branch ytorg/Yotter

delete branch : dependabot/pip/zope-interface-5.2.0

delete time in 16 hours

issue commentytorg/Yotter

After upgrading to 0.2.2 I am getting a load of 500 errors on videos

Did you add a location like this?:

location ~ (^/videoplayback$|/videoplayback/|/vi/|/a/|/ytc/) {
        proxy_pass http://unix:/var/run/ytproxy/http-proxy.sock;
        add_header Access-Control-Allow-Origin *;
        sendfile on;
        tcp_nopush on;
        aio_write on;
        aio threads=default;
        directio 512;
        proxy_http_version 1.1;
        proxy_set_header Connection "";
    }
mansguiche

comment created time in 16 hours

issue commentytorg/Yotter

After upgrading to 0.2.2 I am getting a load of 500 errors on videos

A systemd service would probably be the best solution, you can also screen session, which is what I use for development.

mansguiche

comment created time in 17 hours

issue commentytorg/Yotter

After upgrading to 0.2.2 I am getting a load of 500 errors on videos

Yes, all of them, this would replace them basically.

mansguiche

comment created time in 17 hours

issue commentytorg/Yotter

After upgrading to 0.2.2 I am getting a load of 500 errors on videos

Currently, the only way to run it by downloading go, and building it like so:

git clone https://github.com/FireMasterK/http3-ytproxy
cd http3-ytproxy
go build -ldflags "-s -w" main.go
mv main http3-ytproxy

You can then run it by using ./http3-ytproxy.

mansguiche

comment created time in 3 days

issue commentytorg/Yotter

After upgrading to 0.2.2 I am getting a load of 500 errors on videos

Support for it was added here: https://github.com/FireMasterK/http3-ytproxy/commit/a8981a44c7a535558c204348b032df3114cadcc3

mansguiche

comment created time in 3 days

issue commentytorg/Yotter

After upgrading to 0.2.2 I am getting a load of 500 errors on videos

If you're running my proxy and have a route for it in your reverse proxy, it should work.

mansguiche

comment created time in 3 days

issue commentytorg/Yotter

After upgrading to 0.2.2 I am getting a load of 500 errors on videos

Yes they seem to be broken. image

mansguiche

comment created time in 3 days

issue openedytorg/Yotter

After upgrading to 0.2.2 I am getting a load of 500 errors on videos

Describe the bug I am seeing many 500 errors when loading the video page. I think it might be the comment profile images but not entirely sure.

To Reproduce Steps to reproduce the behavior:

  1. Go to any video page
  2. View the js console

Expected behavior No 500 errors on the video page

Screenshots image

Desktop (please complete the following information):

  • OS: macOS Big Sur
  • Browser: Firefox
  • Version: 83.0

Additional context I build the docker container from the dockerfile rather than using the latest docker hub repo.

created time in 4 days

issue commentytorg/Yotter

Rename yotter-config.json

Using semantic versioning for the release version identifiers and adding the changes to the release notes seems to be good enough for most projects.

FireMasterK

comment created time in 4 days

issue commentytorg/Yotter

IP Leaked to googlevideo

@pluja does your instance run the proxy I made? This shouldn't happen with it as it follows redirects.

FireMasterK

comment created time in 6 days

issue commentytorg/Yotter

IP Leaked to googlevideo

The issue got back some time ago, maybe a week or two. When the page with video gets loaded first time the request to yotter domain occur but response of that requests is 302 redirect to googlevideo domain. uMatrix blocks that requests to googlevideo and so the video doesn't start. You can clearly see the issue in browser's dev console.

issue

FireMasterK

comment created time in 7 days

issue closedytorg/Yotter

Support apache

I have some servers that only work with apache. They would be so kind to share with me an example of how to configure yotter in apache

closed time in 7 days

arankaren

issue commentytorg/Yotter

Support apache

It's common for webserver to use nginx as the webserver and also act as a reverse proxy for apache, see e.g. this tutorial.

thank you!

arankaren

comment created time in 7 days

issue commentytorg/Yotter

mysql - specified key was too long max key length is 767 bytes

Nice, thank you. Are you still using Yotter with Postgres?

Yes! 😄

arankaren

comment created time in 7 days

startedpluja/css-invert

started time in 7 days

issue commentytorg/Yotter

Support apache

It's common for webserver to use nginx as the webserver and also act as a reverse proxy for apache, see e.g. this tutorial.

arankaren

comment created time in 8 days

issue openedytorg/Yotter

Support apache

I have some servers that only work with apache. They would be so kind to share with me an example of how to configure yotter in apache

created time in 8 days

issue closedytorg/Yotter

mysql - specified key was too long max key length is 767 bytes

MariaDB: 10.1.37

Log:

$ flask db upgrade
INFO  [alembic.runtime.migration] Context impl MySQLImpl.
INFO  [alembic.runtime.migration] Will assume non-transactional DDL.
INFO  [alembic.runtime.migration] Running upgrade  -> d1017cdab828, empty message
Traceback (most recent call last):
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1277, in _execute_context
    cursor, statement, parameters, context
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/engine/default.py", line 593, in do_execute
    cursor.execute(statement, parameters)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/cursors.py", line 163, in execute
    result = self._query(query)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/cursors.py", line 321, in _query
    conn.query(q)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/connections.py", line 505, in query
    self._affected_rows = self._read_query_result(unbuffered=unbuffered)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/connections.py", line 724, in _read_query_result
    result.read()
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/connections.py", line 1069, in read
    first_packet = self.connection._read_packet()
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/connections.py", line 676, in _read_packet
    packet.raise_for_error()
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/protocol.py", line 223, in raise_for_error
    err.raise_mysql_exception(self._data)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/err.py", line 107, in raise_mysql_exception
    raise errorclass(errno, errval)
pymysql.err.OperationalError: (1071, 'Specified key was too long; max key length is 767 bytes')

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/yotter/venv/bin/flask", line 8, in <module>
    sys.exit(main())
  File "/home/yotter/venv/lib/python3.6/site-packages/flask/cli.py", line 967, in main
    cli.main(args=sys.argv[1:], prog_name="python -m flask" if as_module else None)
  File "/home/yotter/venv/lib/python3.6/site-packages/flask/cli.py", line 586, in main
    return super(FlaskGroup, self).main(*args, **kwargs)
  File "/home/yotter/venv/lib/python3.6/site-packages/click/core.py", line 782, in main
    rv = self.invoke(ctx)
  File "/home/yotter/venv/lib/python3.6/site-packages/click/core.py", line 1259, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "/home/yotter/venv/lib/python3.6/site-packages/click/core.py", line 1259, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "/home/yotter/venv/lib/python3.6/site-packages/click/core.py", line 1066, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/home/yotter/venv/lib/python3.6/site-packages/click/core.py", line 610, in invoke
    return callback(*args, **kwargs)
  File "/home/yotter/venv/lib/python3.6/site-packages/click/decorators.py", line 21, in new_func
    return f(get_current_context(), *args, **kwargs)
  File "/home/yotter/venv/lib/python3.6/site-packages/flask/cli.py", line 426, in decorator
    return __ctx.invoke(f, *args, **kwargs)
  File "/home/yotter/venv/lib/python3.6/site-packages/click/core.py", line 610, in invoke
    return callback(*args, **kwargs)
  File "/home/yotter/venv/lib/python3.6/site-packages/flask_migrate/cli.py", line 134, in upgrade
    _upgrade(directory, revision, sql, tag, x_arg)
  File "/home/yotter/venv/lib/python3.6/site-packages/flask_migrate/__init__.py", line 96, in wrapped
    f(*args, **kwargs)
  File "/home/yotter/venv/lib/python3.6/site-packages/flask_migrate/__init__.py", line 271, in upgrade
    command.upgrade(config, revision, sql=sql, tag=tag)
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/command.py", line 298, in upgrade
    script.run_env()
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/script/base.py", line 489, in run_env
    util.load_python_file(self.dir, "env.py")
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/util/pyfiles.py", line 98, in load_python_file
    module = load_module_py(module_id, path)
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/util/compat.py", line 184, in load_module_py
    spec.loader.exec_module(module)
  File "<frozen importlib._bootstrap_external>", line 678, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "migrations/env.py", line 96, in <module>
    run_migrations_online()
  File "migrations/env.py", line 90, in run_migrations_online
    context.run_migrations()
  File "<string>", line 8, in run_migrations
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/runtime/environment.py", line 846, in run_migrations
    self.get_context().run_migrations(**kw)
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/runtime/migration.py", line 522, in run_migrations
    step.migration_fn(**kw)
  File "/home/yotter/src/migrations/versions/d1017cdab828_.py", line 62, in upgrade
    sa.UniqueConstraint('url')
  File "<string>", line 8, in create_table
  File "<string>", line 3, in create_table
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/operations/ops.py", line 1252, in create_table
    return operations.invoke(op)
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/operations/base.py", line 373, in invoke
    return fn(self, operation)
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/operations/toimpl.py", line 101, in create_table
    operations.impl.create_table(table)
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/ddl/impl.py", line 259, in create_table
    self._exec(schema.CreateTable(table))
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/ddl/impl.py", line 141, in _exec
    return conn.execute(construct, *multiparams, **params)
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1011, in execute
    return meth(self, multiparams, params)
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/sql/ddl.py", line 72, in _execute_on_connection
    return connection._execute_ddl(self, multiparams, params)
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1073, in _execute_ddl
    compiled,
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1317, in _execute_context
    e, statement, parameters, cursor, context
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1511, in _handle_dbapi_exception
    sqlalchemy_exception, with_traceback=exc_info[2], from_=e
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/util/compat.py", line 182, in raise_
    raise exception
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1277, in _execute_context
    cursor, statement, parameters, context
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/engine/default.py", line 593, in do_execute
    cursor.execute(statement, parameters)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/cursors.py", line 163, in execute
    result = self._query(query)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/cursors.py", line 321, in _query
    conn.query(q)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/connections.py", line 505, in query
    self._affected_rows = self._read_query_result(unbuffered=unbuffered)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/connections.py", line 724, in _read_query_result
    result.read()
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/connections.py", line 1069, in read
    first_packet = self.connection._read_packet()
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/connections.py", line 676, in _read_packet
    packet.raise_for_error()
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/protocol.py", line 223, in raise_for_error
    err.raise_mysql_exception(self._data)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/err.py", line 107, in raise_mysql_exception
    raise errorclass(errno, errval)
sqlalchemy.exc.OperationalError: (pymysql.err.OperationalError) (1071, 'Specified key was too long; max key length is 767 bytes')
[SQL: 
CREATE TABLE post (
	id INTEGER NOT NULL AUTO_INCREMENT, 
	body VARCHAR(540), 
	timestamp VARCHAR(100), 
	url VARCHAR(550), 
	username VARCHAR(100), 
	user_id INTEGER, 
	PRIMARY KEY (id), 
	FOREIGN KEY(user_id) REFERENCES user (id), 
	UNIQUE (url)
)

]
(Background on this error at: http://sqlalche.me/e/13/e3q8)

closed time in 8 days

arankaren

issue commentytorg/Yotter

mysql - specified key was too long max key length is 767 bytes

mysql> set global innodb_large_prefix = ON;

arankaren

comment created time in 8 days

issue commentytorg/Yotter

mysql - specified key was too long max key length is 767 bytes

As I read the issue is caused by version of MariaDB.

«If you are running a version of MySQL prior to version 5.7.7 or MariaDB prior to version 10.2.2, you may need to manually configure the default string length generated by migrations for MySQL to create indexes for them.»

arankaren

comment created time in 8 days

issue commentytorg/Yotter

mysql - specified key was too long max key length is 767 bytes

The bug is very strange, in postgres I don't have this issue

arankaren

comment created time in 8 days

issue commentytorg/Yotter

mysql - specified key was too long max key length is 767 bytes

Did you execute flask db migrate before doing the upgrade?

yes!

Full log:

$ flask db init
  Creating directory /home/yotter/src/migrations ...  done
  Creating directory /home/yotter/src/migrations/versions ...  done
  Generating /home/yotter/src/migrations/env.py ...  done
  Generating /home/yotter/src/migrations/alembic.ini ...  done
  Generating /home/yotter/src/migrations/script.py.mako ...  done
  Generating /home/yotter/src/migrations/README ...  done
  Please edit configuration/connection/logging settings in
  '/home/yotter/src/migrations/alembic.ini' before proceeding.
$ flask db migrate
INFO  [alembic.runtime.migration] Context impl MySQLImpl.
INFO  [alembic.runtime.migration] Will assume non-transactional DDL.
INFO  [alembic.autogenerate.compare] Detected added table 'post'
INFO  [alembic.autogenerate.compare] Detected added table 'twitter_association'
  Generating /home/yotter/src/migrations/versions/13cdcc20b8c4_.py ...  done
$ flask db upgrade
INFO  [alembic.runtime.migration] Context impl MySQLImpl.
INFO  [alembic.runtime.migration] Will assume non-transactional DDL.
INFO  [alembic.runtime.migration] Running upgrade  -> 13cdcc20b8c4, empty message
Traceback (most recent call last):
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1277, in _execute_context
    cursor, statement, parameters, context
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/engine/default.py", line 593, in do_execute
    cursor.execute(statement, parameters)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/cursors.py", line 163, in execute
    result = self._query(query)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/cursors.py", line 321, in _query
    conn.query(q)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/connections.py", line 505, in query
    self._affected_rows = self._read_query_result(unbuffered=unbuffered)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/connections.py", line 724, in _read_query_result
    result.read()
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/connections.py", line 1069, in read
    first_packet = self.connection._read_packet()
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/connections.py", line 676, in _read_packet
    packet.raise_for_error()
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/protocol.py", line 223, in raise_for_error
    err.raise_mysql_exception(self._data)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/err.py", line 107, in raise_mysql_exception
    raise errorclass(errno, errval)
pymysql.err.OperationalError: (1071, 'Specified key was too long; max key length is 767 bytes')

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/yotter/venv/bin/flask", line 8, in <module>
    sys.exit(main())
  File "/home/yotter/venv/lib/python3.6/site-packages/flask/cli.py", line 967, in main
    cli.main(args=sys.argv[1:], prog_name="python -m flask" if as_module else None)
  File "/home/yotter/venv/lib/python3.6/site-packages/flask/cli.py", line 586, in main
    return super(FlaskGroup, self).main(*args, **kwargs)
  File "/home/yotter/venv/lib/python3.6/site-packages/click/core.py", line 782, in main
    rv = self.invoke(ctx)
  File "/home/yotter/venv/lib/python3.6/site-packages/click/core.py", line 1259, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "/home/yotter/venv/lib/python3.6/site-packages/click/core.py", line 1259, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "/home/yotter/venv/lib/python3.6/site-packages/click/core.py", line 1066, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/home/yotter/venv/lib/python3.6/site-packages/click/core.py", line 610, in invoke
    return callback(*args, **kwargs)
  File "/home/yotter/venv/lib/python3.6/site-packages/click/decorators.py", line 21, in new_func
    return f(get_current_context(), *args, **kwargs)
  File "/home/yotter/venv/lib/python3.6/site-packages/flask/cli.py", line 426, in decorator
    return __ctx.invoke(f, *args, **kwargs)
  File "/home/yotter/venv/lib/python3.6/site-packages/click/core.py", line 610, in invoke
    return callback(*args, **kwargs)
  File "/home/yotter/venv/lib/python3.6/site-packages/flask_migrate/cli.py", line 134, in upgrade
    _upgrade(directory, revision, sql, tag, x_arg)
  File "/home/yotter/venv/lib/python3.6/site-packages/flask_migrate/__init__.py", line 96, in wrapped
    f(*args, **kwargs)
  File "/home/yotter/venv/lib/python3.6/site-packages/flask_migrate/__init__.py", line 271, in upgrade
    command.upgrade(config, revision, sql=sql, tag=tag)
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/command.py", line 298, in upgrade
    script.run_env()
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/script/base.py", line 489, in run_env
    util.load_python_file(self.dir, "env.py")
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/util/pyfiles.py", line 98, in load_python_file
    module = load_module_py(module_id, path)
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/util/compat.py", line 184, in load_module_py
    spec.loader.exec_module(module)
  File "<frozen importlib._bootstrap_external>", line 678, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "migrations/env.py", line 96, in <module>
    run_migrations_online()
  File "migrations/env.py", line 90, in run_migrations_online
    context.run_migrations()
  File "<string>", line 8, in run_migrations
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/runtime/environment.py", line 846, in run_migrations
    self.get_context().run_migrations(**kw)
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/runtime/migration.py", line 522, in run_migrations
    step.migration_fn(**kw)
  File "/home/yotter/src/migrations/versions/13cdcc20b8c4_.py", line 30, in upgrade
    sa.UniqueConstraint('url')
  File "<string>", line 8, in create_table
  File "<string>", line 3, in create_table
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/operations/ops.py", line 1252, in create_table
    return operations.invoke(op)
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/operations/base.py", line 373, in invoke
    return fn(self, operation)
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/operations/toimpl.py", line 101, in create_table
    operations.impl.create_table(table)
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/ddl/impl.py", line 259, in create_table
    self._exec(schema.CreateTable(table))
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/ddl/impl.py", line 141, in _exec
    return conn.execute(construct, *multiparams, **params)
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1011, in execute
    return meth(self, multiparams, params)
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/sql/ddl.py", line 72, in _execute_on_connection
    return connection._execute_ddl(self, multiparams, params)
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1073, in _execute_ddl
    compiled,
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1317, in _execute_context
    e, statement, parameters, cursor, context
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1511, in _handle_dbapi_exception
    sqlalchemy_exception, with_traceback=exc_info[2], from_=e
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/util/compat.py", line 182, in raise_
    raise exception
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1277, in _execute_context
    cursor, statement, parameters, context
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/engine/default.py", line 593, in do_execute
    cursor.execute(statement, parameters)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/cursors.py", line 163, in execute
    result = self._query(query)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/cursors.py", line 321, in _query
    conn.query(q)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/connections.py", line 505, in query
    self._affected_rows = self._read_query_result(unbuffered=unbuffered)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/connections.py", line 724, in _read_query_result
    result.read()
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/connections.py", line 1069, in read
    first_packet = self.connection._read_packet()
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/connections.py", line 676, in _read_packet
    packet.raise_for_error()
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/protocol.py", line 223, in raise_for_error
    err.raise_mysql_exception(self._data)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/err.py", line 107, in raise_mysql_exception
    raise errorclass(errno, errval)
sqlalchemy.exc.OperationalError: (pymysql.err.OperationalError) (1071, 'Specified key was too long; max key length is 767 bytes')
[SQL: 
CREATE TABLE post (
	id INTEGER NOT NULL AUTO_INCREMENT, 
	body VARCHAR(540), 
	timestamp VARCHAR(100), 
	url VARCHAR(550), 
	username VARCHAR(100), 
	user_id INTEGER, 
	PRIMARY KEY (id), 
	FOREIGN KEY(user_id) REFERENCES user (id), 
	UNIQUE (url)
)

]
(Background on this error at: http://sqlalche.me/e/13/e3q8)
arankaren

comment created time in 8 days

issue openedytorg/Yotter

mysql - specified key was too long max key length is 767 bytes

Log:

$ flask db upgrade
INFO  [alembic.runtime.migration] Context impl MySQLImpl.
INFO  [alembic.runtime.migration] Will assume non-transactional DDL.
INFO  [alembic.runtime.migration] Running upgrade  -> d1017cdab828, empty message
Traceback (most recent call last):
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1277, in _execute_context
    cursor, statement, parameters, context
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/engine/default.py", line 593, in do_execute
    cursor.execute(statement, parameters)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/cursors.py", line 163, in execute
    result = self._query(query)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/cursors.py", line 321, in _query
    conn.query(q)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/connections.py", line 505, in query
    self._affected_rows = self._read_query_result(unbuffered=unbuffered)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/connections.py", line 724, in _read_query_result
    result.read()
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/connections.py", line 1069, in read
    first_packet = self.connection._read_packet()
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/connections.py", line 676, in _read_packet
    packet.raise_for_error()
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/protocol.py", line 223, in raise_for_error
    err.raise_mysql_exception(self._data)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/err.py", line 107, in raise_mysql_exception
    raise errorclass(errno, errval)
pymysql.err.OperationalError: (1071, 'Specified key was too long; max key length is 767 bytes')

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/yotter/venv/bin/flask", line 8, in <module>
    sys.exit(main())
  File "/home/yotter/venv/lib/python3.6/site-packages/flask/cli.py", line 967, in main
    cli.main(args=sys.argv[1:], prog_name="python -m flask" if as_module else None)
  File "/home/yotter/venv/lib/python3.6/site-packages/flask/cli.py", line 586, in main
    return super(FlaskGroup, self).main(*args, **kwargs)
  File "/home/yotter/venv/lib/python3.6/site-packages/click/core.py", line 782, in main
    rv = self.invoke(ctx)
  File "/home/yotter/venv/lib/python3.6/site-packages/click/core.py", line 1259, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "/home/yotter/venv/lib/python3.6/site-packages/click/core.py", line 1259, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "/home/yotter/venv/lib/python3.6/site-packages/click/core.py", line 1066, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/home/yotter/venv/lib/python3.6/site-packages/click/core.py", line 610, in invoke
    return callback(*args, **kwargs)
  File "/home/yotter/venv/lib/python3.6/site-packages/click/decorators.py", line 21, in new_func
    return f(get_current_context(), *args, **kwargs)
  File "/home/yotter/venv/lib/python3.6/site-packages/flask/cli.py", line 426, in decorator
    return __ctx.invoke(f, *args, **kwargs)
  File "/home/yotter/venv/lib/python3.6/site-packages/click/core.py", line 610, in invoke
    return callback(*args, **kwargs)
  File "/home/yotter/venv/lib/python3.6/site-packages/flask_migrate/cli.py", line 134, in upgrade
    _upgrade(directory, revision, sql, tag, x_arg)
  File "/home/yotter/venv/lib/python3.6/site-packages/flask_migrate/__init__.py", line 96, in wrapped
    f(*args, **kwargs)
  File "/home/yotter/venv/lib/python3.6/site-packages/flask_migrate/__init__.py", line 271, in upgrade
    command.upgrade(config, revision, sql=sql, tag=tag)
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/command.py", line 298, in upgrade
    script.run_env()
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/script/base.py", line 489, in run_env
    util.load_python_file(self.dir, "env.py")
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/util/pyfiles.py", line 98, in load_python_file
    module = load_module_py(module_id, path)
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/util/compat.py", line 184, in load_module_py
    spec.loader.exec_module(module)
  File "<frozen importlib._bootstrap_external>", line 678, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "migrations/env.py", line 96, in <module>
    run_migrations_online()
  File "migrations/env.py", line 90, in run_migrations_online
    context.run_migrations()
  File "<string>", line 8, in run_migrations
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/runtime/environment.py", line 846, in run_migrations
    self.get_context().run_migrations(**kw)
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/runtime/migration.py", line 522, in run_migrations
    step.migration_fn(**kw)
  File "/home/yotter/src/migrations/versions/d1017cdab828_.py", line 62, in upgrade
    sa.UniqueConstraint('url')
  File "<string>", line 8, in create_table
  File "<string>", line 3, in create_table
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/operations/ops.py", line 1252, in create_table
    return operations.invoke(op)
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/operations/base.py", line 373, in invoke
    return fn(self, operation)
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/operations/toimpl.py", line 101, in create_table
    operations.impl.create_table(table)
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/ddl/impl.py", line 259, in create_table
    self._exec(schema.CreateTable(table))
  File "/home/yotter/venv/lib/python3.6/site-packages/alembic/ddl/impl.py", line 141, in _exec
    return conn.execute(construct, *multiparams, **params)
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1011, in execute
    return meth(self, multiparams, params)
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/sql/ddl.py", line 72, in _execute_on_connection
    return connection._execute_ddl(self, multiparams, params)
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1073, in _execute_ddl
    compiled,
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1317, in _execute_context
    e, statement, parameters, cursor, context
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1511, in _handle_dbapi_exception
    sqlalchemy_exception, with_traceback=exc_info[2], from_=e
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/util/compat.py", line 182, in raise_
    raise exception
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1277, in _execute_context
    cursor, statement, parameters, context
  File "/home/yotter/venv/lib/python3.6/site-packages/sqlalchemy/engine/default.py", line 593, in do_execute
    cursor.execute(statement, parameters)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/cursors.py", line 163, in execute
    result = self._query(query)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/cursors.py", line 321, in _query
    conn.query(q)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/connections.py", line 505, in query
    self._affected_rows = self._read_query_result(unbuffered=unbuffered)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/connections.py", line 724, in _read_query_result
    result.read()
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/connections.py", line 1069, in read
    first_packet = self.connection._read_packet()
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/connections.py", line 676, in _read_packet
    packet.raise_for_error()
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/protocol.py", line 223, in raise_for_error
    err.raise_mysql_exception(self._data)
  File "/home/yotter/venv/lib/python3.6/site-packages/pymysql/err.py", line 107, in raise_mysql_exception
    raise errorclass(errno, errval)
sqlalchemy.exc.OperationalError: (pymysql.err.OperationalError) (1071, 'Specified key was too long; max key length is 767 bytes')
[SQL: 
CREATE TABLE post (
	id INTEGER NOT NULL AUTO_INCREMENT, 
	body VARCHAR(540), 
	timestamp VARCHAR(100), 
	url VARCHAR(550), 
	username VARCHAR(100), 
	user_id INTEGER, 
	PRIMARY KEY (id), 
	FOREIGN KEY(user_id) REFERENCES user (id), 
	UNIQUE (url)
)

]
(Background on this error at: http://sqlalche.me/e/13/e3q8)

created time in 8 days

issue closedytorg/Yotter

How were you able to move the time on videos?

I'm trying to create a small video proxy myself and I can successfully stream the video. But I skip the video ahead in time, it gets stuck. This is my function thats working:

@app.route('/stream', methods=['GET']) def stream(): url = "#" req = requests.get(url, stream = True) with requests.get(url, stream=True) as response: return Response(req.iter_content(chunk_size=100*1024), mimetype=req.headers['Content-Type'], content_type=req.headers['Content-Type'], direct_passthrough=True)

Would love to know how you fixed that issue.

closed time in 11 days

mooseyoose

issue closedytorg/Yotter

Support IPv6

It seems IPv6 is failing to load videos. We should fix this. If you have IPv6 and can test, please reach to us.

closed time in 11 days

pluja

issue commentytorg/Yotter

Support IPv6

Closing as the ipv6 issue turned out to be unrelated, it happens when you have net.ipv6 enabled without having a way to connect with ipv6, this only affects nginx streaming instances and they can make the resolver use ipv4 only to resolve this.

pluja

comment created time in 11 days

issue commentytorg/Yotter

404 error to search videos in local

Consider a solution like https://github.com/TeamPiped/Piped-Backend/blob/master/src/main/java/me/kavin/piped/utils/ResponseHelper.java#L150-L179

I've made it as simple as possible while handling all cases. I have a variable called debug, and if that's set to true, it won't rewrite the URL and return the original link.

arankaren

comment created time in 11 days

CommitCommentEvent

issue commentytorg/Yotter

[feature request] navigation using arrow keys + space

Can confirm it works. The only minor issue is that when the page gets just loaded the space key pressing doesn't start the video but scrolls the page down apparently because the video is not focused on page load.

vladimiry

comment created time in 11 days

more